# Method Pike.PollDeviceBackend()->enable_external_runloop()

Method enable_external_runloop

  ``int` enable_external_runloop(`bool` `enable`)`

Description

  On systems with CoreFoundation (OSX, iOS, etc), delegate running of the Pike Backend to the main runloop of the process (such as a Cocoa application's NSRunLoop).

  Enabling the external runloop allows Pike callouts and callback-based I/O to function normally while greatly reducing cpu utilization compared to running the external runloop manually.

Parameter `enable`

  enable or disable this functionality

Returns

  the previous value of this setting.